hledger-lib-1.12: Core data types, parsers and functionality for the hledger accounting tools

Safe Haskell | None
Language | Haskell2010

Hledger.Read.TimedotReader

Contents

- Reader
- Misc other exports

Description

A reader for the "timedot" file format. Example:

    #DATE
     Each dot represents 15m, spaces are ignored
     numbers with or without a following h represent hours
     numbers followed by m represent minutes

    # on 2/1, 1h was spent on FOSS haskell work, 0.25h on research, etc.
    2/1
    fos.haskell   .... ..
    biz.research  .
    inc.client1   .... .... .... .... .... ....

    2/2
    biz.research  .
    inc.client1   .... .... ..

Synopsis

- reader :: Reader
- timedotfilep :: JournalParser m ParsedJournal

# Reader

reader :: Reader Source #

# Misc other exports

timedotfilep :: JournalParser m ParsedJournal Source #